org.eclipse.viatra.cep.vepl.vepl

## Interface QueryResultChangeEventPattern

- All Superinterfaces:
    AbstractAtomicEventPattern, org.eclipse.emf.ecore.EObject, EventPattern, ModelElement, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    QueryResultChangeEventPatternImpl

      public interface QueryResultChangeEventPattern
      extends AbstractAtomicEventPattern

  A representation of the model object 'Query Result Change Event Pattern'.

  The following features are supported:

  - `Query Reference`
  - `Result Change Type`
  See Also:
    `VeplPackage.getQueryResultChangeEventPattern()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ParametrizedQueryReference` | `getQueryReference()` Returns the value of the 'Query Reference' containment reference.
    `QueryResultChangeType` | `getResultChangeType()` Returns the value of the 'Result Change Type' attribute.
    `void` | `setQueryReference(ParametrizedQueryReference value)` Sets the value of the '`Query Reference`' containment reference.
    `void` | `setResultChangeType(QueryResultChangeType value)` Sets the value of the '`Result Change Type`' attribute.

    - ### Methods inherited from interface org.eclipse.viatra.cep.vepl.vepl.EventPattern

      `getParameters, setParameters`

    - ### Methods inherited from interface org.eclipse.viatra.cep.vepl.vepl.ModelElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getQueryReference

          ParametrizedQueryReference getQueryReference()

      Returns the value of the 'Query Reference' containment reference.

      If the meaning of the 'Query Reference' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Query Reference' containment reference.
      See Also:
        `setQueryReference(ParametrizedQueryReference)`, `VeplPackage.getQueryResultChangeEventPattern_QueryReference()`
      Generated:
      Model:
        containment="true"

    - #### setQueryReference

          void setQueryReference(ParametrizedQueryReference value)

      Sets the value of the '`Query Reference`' containment reference.
      Parameters:
        `value` - the new value of the 'Query Reference' containment reference.
      See Also:
        `getQueryReference()`
      Generated:

    - #### getResultChangeType

          QueryResultChangeType getResultChangeType()

      Returns the value of the 'Result Change Type' attribute. The literals are from the enumeration `QueryResultChangeType`.

      If the meaning of the 'Result Change Type' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Result Change Type' attribute.
      See Also:
        `QueryResultChangeType`, `setResultChangeType(QueryResultChangeType)`, `VeplPackage.getQueryResultChangeEventPattern_ResultChangeType()`
      Generated:
      Model:

    - #### setResultChangeType

          void setResultChangeType(QueryResultChangeType value)

      Sets the value of the '`Result Change Type`' attribute.
      Parameters:
        `value` - the new value of the 'Result Change Type' attribute.
      See Also:
        `QueryResultChangeType`, `getResultChangeType()`
      Generated: